diff -aur --exclude='*.beam' --exclude=configure --exclude=Makefile otp_src_P9C_2003-07-25/lib/stdlib/src/erl_lint.erl otp_src_P9C_2003-07-25.fixed/lib/stdlib/src/erl_lint.erl
--- otp_src_P9C_2003-07-25/lib/stdlib/src/erl_lint.erl	2003-07-07 13:57:59.000000000 +0200
+++ otp_src_P9C_2003-07-25.fixed/lib/stdlib/src/erl_lint.erl	2003-07-27 02:06:59.000000000 +0200
@@ -612,7 +612,12 @@
             St2 = St1#lint{defined=ordsets:add_element(NA, St1#lint.defined)},
             St = case erl_internal:bif(Name, Arity) of
                       true ->
-                         add_warning(Line, {redefine_bif,NA}, St2);
+			 case supress_warn_redefine_bif(NA, St2) of
+			     true ->
+				 St2;
+			     _ ->
+				 add_warning(Line, {redefine_bif,NA}, St2)
+			 end;
                      false -> St2
                   end,
             case imported(Name, Arity, St) of
@@ -1966,7 +1971,11 @@
     Arity = length(As),
     case otp_internal:obsolete(M, F, Arity) of
         {true, Info} ->
-            add_warning(Line, {obsolete, {M, F, Arity}, Info}, St);
+	    case supress_warn_obsolete({M, F, Arity}, St) of
+		true -> St;
+		_ ->
+		    add_warning(Line, {obsolete, {M, F, Arity}, Info}, St)
+	    end;
         false -> St
     end.
 
@@ -2169,3 +2178,26 @@
                     {error, St1}
             end
     end.
+
+supress_warn_redefine_bif(FA, St) ->
+    find_in_list(redefine_bif, FA, St#lint.compile).
+
+supress_warn_obsolete(MFA, St) ->
+    find_in_list(use_obsolete, MFA, St#lint.compile).
+
+find_in_list(Tag, Arg, L) ->
+    {_, _, Res} = lists:foldl(fun({TTag, TArg}, {TTag, TArg,_TRes}) ->
+				      {TTag, TArg, true};
+				 ({TTag, TL}, A={TTag, TArg, _TRes}) when is_list(TL) ->
+				      case lists:member(TArg, TL) of
+					  true -> 
+					      {TTag, TArg, true};
+					  _ -> A
+				      end;
+				 (_, A) ->
+				      A
+			      end, {Tag, Arg, false}, L),
+    Res.
+
+				       
+							 
